Package org.jfree.layouting.layouter.style.compiler

## Class CompiledSelectorWeight

- java.lang.Object
- - org.jfree.layouting.layouter.style.compiler.CompiledSelectorWeight

- All Implemented Interfaces:
    `java.lang.Comparable`

      public class CompiledSelectorWeight
      extends java.lang.Object
      implements java.lang.Comparable

  This selector weight is computed over all CSS-Declaration rules of an document. Lower weight rules get executed before all higher ranking rules. The more specific a rule is, the later it gets executed. This allows later rules to override previously defined rules.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompiledSelectorWeight​(SelectorWeight selectorWeight, int fileOrder, int selectorOrder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.lang.Object o)` | Compares this object with the specified object for order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompiledSelectorWeight

          public CompiledSelectorWeight​(SelectorWeight selectorWeight,
                                        int fileOrder,
                                        int selectorOrder)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(java.lang.Object o)

      Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `o` - the Object to be compared.
      Returns:
        a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
      Throws:
        `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this Object.